%define anolis_release 1
%bcond_without bootstrap
%global srcname contourpy

Name:           python-%{srcname}
Version:        1.0.7
Release:        %{anolis_release}%{?dist}
Summary:        Python library for calculating contours in 2D quadrilateral grids

License:        BSD
URL:            https://contourpy.readthedocs.io/
Source0:        %pypi_source %{srcname}

BuildRequires:  python3-devel
BuildRequires:  gcc-c++

%global _description %{expand:
ContourPy is a Python library for calculating contours of 2D quadrilateral
grids. It is written in C++11 and wrapped using pybind11.

It contains the 2005 and 2014 algorithms used in Matplotlib as well as a newer
algorithm that includes more features and is available in both serial and
multithreaded versions. It provides an easy way for Python libraries to use
contouring algorithms without having to include Matplotlib as a dependency.
}

%description %{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%package -n     python3-%{srcname}-doc
Summary:        %{summary}
Requires:	python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
Doc files for python3-%{srcname}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test%{?with_bootstrap:-no-images}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest %{?with_bootstrap:-k 'not image'}

%files -n python3-%{srcname} -f %{pyproject_files}

%files -n python3-%{srcname}-doc
%doc README.md

%changelog
* Tue Mar 28 2023 happy_orange <songnannan@linux.alibaba.com> - 1.0.7-1
- init package from upstream
